Bug 61175 - Web Inspector: [Chromium] Get rid of flickering "Please wait" message in Heap profiler
Summary: Web Inspector: [Chromium] Get rid of flickering "Please wait" message in Heap...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Mikhail Naganov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-20 01:44 PDT by Mikhail Naganov
Modified: 2011-07-10 23:39 PDT (History)
10 users (show)

See Also:


Attachments
patch (37.79 KB, patch)
2011-07-08 02:43 PDT, Mikhail Naganov
pfeldman: review+
mnaganov: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Naganov 2011-05-20 01:44:32 PDT
During data loading, "Please wait" message is constantly flickering on the top. This is annoying. Loading indication should be smoother.
Comment 1 Mikhail Naganov 2011-07-08 02:43:53 PDT
Created attachment 100097 [details]
patch
Comment 2 Pavel Feldman 2011-07-08 08:38:13 PDT
Comment on attachment 100097 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100097&action=review

Also, you want to update WebCore.qrc with removed / added files.

> Source/WebCore/WebCore.gypi:6460
> +            'inspector/front-end/Images/spinnerActive.gif',

Where did you get these? Is there a license agreement for them?
Comment 3 Mikhail Naganov 2011-07-10 23:05:15 PDT
(In reply to comment #2)
> (From update of attachment 100097 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=100097&action=review
> 
> Also, you want to update WebCore.qrc with removed / added files.
>

Thanks, updated!
 
> > Source/WebCore/WebCore.gypi:6460
> > +            'inspector/front-end/Images/spinnerActive.gif',
> 
> Where did you get these? Is there a license agreement for them?

Generated using ajaxload.info. It states that "Generated gifs are totally free for use". The service itself is around since 2006 and is really good known. I haven't found any alternative load images generators that have a clear license.
Comment 4 Mikhail Naganov 2011-07-10 23:39:12 PDT
Manually committed http://trac.webkit.org/changeset/90720

2011-07-08  Mikhail Naganov  <mnaganov@chromium.org>

        Web Inspector: [Chromium] Get rid of flickering "Please wait" message in Heap profiler.
        https://bugs.webkit.org/show_bug.cgi?id=61175

        The message has been replaced with spinner icons appearing instead of profile's
        icon. As each profile owns a worker, they run independently, and there can be
        multiple spinners at the same time.

        Reviewed by Pavel Feldman.

        * WebCore.gypi:
        * WebCore.vcproj/WebCore.vcproj:
        * inspector/front-end/DetailedHeapshotGridNodes.js:
        (WebInspector.HeapSnapshotGridNode.prototype._populate.sorted):
        (WebInspector.HeapSnapshotGridNode.prototype._populate):
        (WebInspector.HeapSnapshotGridNode.prototype.populateChildren.childrenRetrieved):
        (WebInspector.HeapSnapshotGridNode.prototype.populateChildren):
        * inspector/front-end/DetailedHeapshotView.js:
        (WebInspector.HeapSnapshotSortableDataGrid.prototype.sortingChanged):
        (WebInspector.HeapSnapshotRetainingPathsList.prototype.showNext):
        (WebInspector.HeapSnapshotRetainingPathsList.prototype.searchCancelled):
        (WebInspector.DetailedHeapshotView.profileCallback):
        (WebInspector.DetailedHeapshotView):
        (WebInspector.DetailedHeapshotView.prototype._changeBase.baseProfileLoaded):
        (WebInspector.DetailedHeapshotView.prototype._changeBase):
        (WebInspector.DetailedHeapshotView.prototype.processLoadedSnapshot):
        (WebInspector.DetailedHeapshotView.prototype._changeView):
        * inspector/front-end/HeapSnapshotProxy.js:
        (WebInspector.HeapSnapshotWorker):
        (WebInspector.HeapSnapshotWorker.prototype.dispose):
        (WebInspector.HeapSnapshotWorker.prototype.startCheckingForLongRunningCalls):
        (WebInspector.HeapSnapshotWorker.prototype._checkLongRunningCalls):
        (WebInspector.HeapSnapshotProxyObject.prototype.callMethod):
        (WebInspector.HeapSnapshotProxyObject.prototype.get worker):
        * inspector/front-end/Images/spinnerActive.gif: Added. Generated using ajaxload.info.
        * inspector/front-end/Images/spinnerActiveSelected.gif: Added. Generated using ajaxload.info.
        * inspector/front-end/Images/spinnerInactive.gif: Added. Generated using ajaxload.info.
        * inspector/front-end/Images/spinnerInactiveSelected.gif: Added. Generated using ajaxload.info.
        * inspector/front-end/PleaseWaitMessage.js: Removed.
        * inspector/front-end/ProfilesPanel.js:
        (WebInspector.ProfilesPanel.prototype._addProfileHeader):
        (WebInspector.ProfilesPanel.prototype.loadHeapSnapshot.setProfileWait):
        (WebInspector.ProfilesPanel.prototype.loadHeapSnapshot):
        (WebInspector.ProfilesPanel.prototype._finishHeapSnapshot.parsed):
        (WebInspector.ProfilesPanel.prototype._finishHeapSnapshot):
        (WebInspector.ProfilesPanel.prototype._reportHeapSnapshotProgress):
        * inspector/front-end/SidebarTreeElement.js:
        (WebInspector.SidebarTreeElement.prototype.set wait):
        * inspector/front-end/WebKit.qrc:
        * inspector/front-end/heapProfiler.css:
        (.heap-snapshot-sidebar-tree-item.wait .icon):
        (.heap-snapshot-sidebar-tree-item.wait.selected .icon):
        (body.inactive .heap-snapshot-sidebar-tree-item.wait .icon):
        (body.inactive .heap-snapshot-sidebar-tree-item.wait.selected .icon):
        * inspector/front-end/inspector.html: